Bug 201363 - Cluster suite Makefiles should not have copytobin
Cluster suite Makefiles should not have copytobin
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-kmod (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
GFS Bugs
Depends On:
  Show dependency treegraph
Reported: 2006-08-04 12:46 EDT by Robert Peterson
Modified: 2010-01-11 22:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-17 15:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2006-08-04 12:46:16 EDT
Description of problem:
The Cluster Suite Makefiles are using a separate bin
directory to house temporary copies of compiled tools
before they get installed in their proper destinations.
Each Makefile has a "make copytobin" that is unnecessary
and having the intermediate step can lead to problems.
Makefiles should just have "make install" like normal.
Comment 1 Robert Peterson 2006-08-11 12:54:11 EDT
This change is for Makefile reform allowing a simple
"make" command to recompile the entire cluster suite:

1. All Makefiles have been changed to get rid of references
   to "copytobin" and the bin directory.  This will
   eliminate discrepancies between "bin" versions and
   installed versions of the programs.
2. The cman and group configure files have been modified
   to allow linking properly to /usr/lib64 on x86_64
   systems without specifying libdir.
3. Fixed several problems relating to "make install"
   not recompiling modified code.
4. Fixed some dependency problems with gfs and gfs2 tools
   that linked against libgfs and libgfs2 respectively.
5. All Makefiles have been updated to use "make -C <dir>"
   rather than "cd <dir> ; make" so that compile errors
   won't charge ahead without stopping you.
6. Deleted references to obsolete iddev library.
7. Got rid of more "linux" symlinks for includes.
8. Misc minor Makefile cleanup.
Comment 2 Nate Straz 2007-12-13 12:42:42 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.
Comment 3 Nate Straz 2007-12-19 15:06:49 EST
Moving all closed bugs to gfs-kmod to match the rpm name.  GFS-kernel will be
Comment 4 Robert Peterson 2009-04-17 15:36:17 EDT
This made it into 5.0; closing CURRENT_RELEASE.

Note You need to log in before you can comment on or make changes to this bug.